%global __pytest %{expand:expect <(echo '
    spawn /usr/bin/pytest {*}$argv
    expect default
    catch wait result
    exit [lindex $result 3]
') --}

Name:           python-invoke
Version:        2.2.0
Release:    1%{?dist}
Summary:        A Python task execution tool and library

License:        BSD-2-Clause
URL:            https://www.pyinvoke.org/
Source0:         https://github.com/pyinvoke/invoke/archive/%{version}/invoke-%{version}.tar.gz

Patch1:         0001-Fix-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  expect

%global _description %{expand:
Invoke is a Python task execution tool and library, drawing inspiration from
various sources to arrive at a powerful and clean feature set.}

%description %_description

%package -n python3-invoke
Summary:        %{summary}

%description -n python3-invoke %_description


%prep
%autosetup -p1 -n invoke-%{version}
rm -rfv invoke/vendor


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files invoke
ln -s inv %{buildroot}%{_bindir}/inv3
ln -s invoke %{buildroot}%{_bindir}/invoke3


%check
%pytest -s


%files -n python3-invoke -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/inv
%{_bindir}/inv3
%{_bindir}/invoke
%{_bindir}/invoke3


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-1
- initial build
